/*
	http://www.theskinsfactory.com
	info@theskinsfactory.com
	The Last Samurai WMP Skin
*/

/*
	Copyright  2003. The Skins Factory, Inc. All Rights Reserved.
	This code may not be reproduced in whole or in part without express permission of The Skins Factory, Inc.
*/

function onLoadPreview(){
	if(player){}
	view.width = 0;
	view.height = 0;
	view.backgroundImage = "";
	theme.currentViewID = "controlView";
}

function onLoadSkin()
{
	theme.savePreference("exitView", "false");

    if ("true"==theme.loadPreference("plViewer"))
	{
		theme.openView( 'plView' );
	}

	if ("true"==theme.loadPreference("eqViewer"))
	{
		theme.openView( 'eqView' );
	}

	if ("true"==theme.loadPreference("visViewer"))
	{
		theme.openView( 'visView' );
	}

	if ("true"==theme.loadPreference("infoViewer"))
	{
		theme.openView( 'infoView' );
	}

	if ("true"==theme.loadPreference("metaViewer"))
	{
		theme.openView( 'metaView' );
	}

	theme.openView('mainView');

	checkControlPlayerState();
}

function checkViewStatus()
{
	if("true"==theme.loadPreference("remoteCallPl"))
	{
		toggleView('plView','plViewer')
		theme.savePreference("remoteCallPl", "false");
	}
	if("true"==theme.loadPreference("remoteCallEq"))
	{
		toggleView('eqView','eqViewer')
		theme.savePreference("remoteCallEq", "false");
	}
	if("true"==theme.loadPreference("remoteCallVis"))
	{
		toggleView('visView','visViewer')
		theme.savePreference("remoteCallVis", "false");
	}
	if("true"==theme.loadPreference("remoteCallInfo"))
	{
		toggleView('infoView','infoViewer')
		theme.savePreference("remoteCallInfo", "false");
	}
	if("true"==theme.loadPreference("remoteCallMeta"))
	{
		toggleView('metaView','metaViewer')
		theme.savePreference("remoteCallMeta", "false");
	}

	if("true"==theme.loadPreference("minimizeView"))
	{
		view.minimize();
		theme.savePreference("minimizeView", "false");
	}
	if("true"==theme.loadPreference("exitView"))
	{
		
		view.close();
	}
}

function onCloseSkin()
{
	theme.savePreference("exitView", "false");
}

function checkControlPlayerState(){

	if (player){
		switch (player.playState){

			case 2:
			case 3: 	//playing

				if(("false"==theme.loadPreference("vidViewer"))&&player.currentMedia.ImageSourceWidth>0){
					theme.openView('videoView');
					/*if("true"==theme.loadPreference("visViewer")){
					    theme.savePreference("visViewer", "false");
						theme.closeView( "visView" );
					
					break}*/
				}
				break;
			}
		}
}

var timerStatus = false;

function playIntro()
{
	if(!timerStatus)
	{
		introAnim.backgroundImage = "intro_anim.gif";
		checkSoundPref('intro.wav');
		view.timerInterval = 13000;
		timerStatus = !timerStatus;
	}
	else
	{
		introAnim.backgroundImage = "";
		view.timerInterval = 0;
	}
}

function metaStartUp()
{
	theme.savePreference( 'metaViewer', "true" );
	updateMetadata('status');
}


// sound fx

function loadSoundPrefValue(){
	var val = theme.loadPreference('soundFX');
	if(val=='--'){
		theme.savePreference("soundFX", "true");
	}
}

function checkSoundPref(type){
	if("true"==theme.loadPreference("soundFX")){
		theme.playSound( type );
	}
}

function loadFramePref(){
	var val = theme.loadPreference('eFrame');
	if(val=='--'){
		theme.savePreference("eFrame", "true");
	}
}

function mainStartUp(){
	volume.value = player.settings.volume;
	loadMainPrefs();
	loadFramePref()
	loadSoundPrefValue();
	theme.savePreference("vidViewer", "false");
	checkPlayerState();
//	updateMetadata('status');
}

function checkPlayerState(){

	if (player){
		switch (player.playState){

			case 2:
			case 3: 	//playing
/*
				if(("false"==theme.loadPreference("vidViewer"))&&player.currentMedia.ImageSourceWidth>0){
					theme.openView('videoView');
					if("true"==theme.loadPreference("visViewer")){
					    theme.savePreference("visViewer", "false");
						theme.closeView( "visView" );
					}
					break
				}
*/
				break;
			}
		}


	if (!player.controls.isAvailable("Stop")) {
		
	}

}

// metadata

function updateMetadata(type){
	if("status"==type){
		if(player.openState!=13) return;

		var metaAuthor = player.currentMedia.getItemInfo("author");

		if (metaAuthor != "") {
			metaAuthor += " - ";
		}

		metadata.value = player.status;

		if (metadata.value != "") {
			metadata.value += " - ";
		}

		metadata.value += metaAuthor;
	}else if("playlist"==type){
		if(player.currentPlaylist.count==0) return;

		var metaAuthor = player.currentMedia.getItemInfo("author");

		if (metaAuthor != "") {
			metaAuthor += " - ";
		}

		if(player.openState!=13){
			metadata.value = metaAuthor;
		}
	}else{
		metadata.value = player.status;
		metadata.scrolling = (metadata.textWidth>metadata.width);
		return;
	}

	metadata.value += player.currentmedia.name;
	metadata.scrolling = (metadata.textWidth>metadata.width);

}


// button and hotkey definitions

// open file
function openFile(media)
{
	if(media=='file')media = theme.openDialog('FILE_OPEN','FILES_ALLMEDIA');
	if(media)
	{
		player.URL = media;
		player.controls.play();
	}
}

function viewHotKeys()
{
	switch(event.keycode)
	{
		case 122:
		case 90:
			player.controls.previous();
			break;
		case 120:
		case 88:
			player.controls.play();
			break;
		case 99:
		case 67:
			player.controls.pause();
			break;
		case 118:
		case 86:
			player.controls.stop();
			break;
		case 98:
		case 66:
			player.controls.next();
			break;
		case 108:
		case 76:
			openFile('file');
			break;
	}
}

function viewResizer(event)
{
	switch(event.keycode)
	{
		case 37:
			view.width-=20;
			break;
		case 38:
			view.height-=20
			break;
		case 39:
			view.width+=20;
			break;
		case 40:
			view.height+=20;
			break;
	}
}

function updateToolTip(id,button,tip)
{
	if("true"==theme.loadPreference( id ))
	{
		eval( button +".upToolTip = locHide" + tip + ".toolTip" );
	}
	else
	{
		eval( button +".upToolTip = locShow" + tip + ".toolTip" );
	}
}

function updateSeekToolTip()
{
	if(player.openState!=13) return;

	var seekHours = Math.floor((seek.value / 3600));
	if (seekHours < 10) seekHours = "0" + seekHours;

	var seekMinutes = Math.floor((seek.value - (seekHours*3600))/60);
	if (seekMinutes < 10) seekMinutes = "0" + seekMinutes;

	var seekSeconds = Math.floor((seek.value - (seekMinutes*60) - (seekHours*3600)));
	if (seekSeconds < 10) seekSeconds = "0" + seekSeconds;

	var seekString;

	if (seekHours==00)
	{
		seekString = "";
	}
	else
	{
		seekString = seekHours + ":";
	}

	seekString += seekMinutes + ":" + seekSeconds;

	seek.toolTip = seekString;
	seek.toolTip += " / ";
	seek.toolTip += player.currentMedia.DurationString;

}

function updateVolToolTip(id)
{
	vol = "";
	vol += player.settings.volume;
	eval(id + ".toolTip = vol" );
}

function updateShuffRep()
{
	if(player.settings.getMode('shuffle'))
	{
		shuffleButton.down = true;
		shuffleButton2.down = true;
	}else{
		shuffleButton.down = false;
		shuffleButton2.down = false;
	}

	if(player.settings.getMode('loop'))
	{
		repeatButton.down = true;
		repeatButton2.down = true;
	}else{
		repeatButton.down = false;
		repeatButton2.down = false;
	}
}

//

function volKey(event)
{
	switch(event.keycode)
	{
		case 39:
		case 38:
			if(player.settings.volume < 95)
			{
				player.settings.volume+=5;
			}else{
				player.settings.volume = 100;
			}
			break;
		case 37:
		case 40:
			if(player.settings.volume > 5)
			{
				player.settings.volume-=5;
			}else{
				player.settings.volume = 0;
			}
			break;
	}
	player.settings.mute = false;
}

function seekKey(event)
{
	if(player.openState!=13) return;
	switch(event.keycode)
	{
		case 37:
		case 40:
			if(player.controls.currentPosition > 10)
			{
				player.controls.currentPosition-=10;
			}else{
				player.controls.currentPosition = 0;
			}
			break;
		case 39:
		case 38:
			if(player.controls.currentPosition < player.currentMedia.duration)
			{
				player.controls.currentPosition+=10;
			}else{
				player.controls.currentPosition = player.currentMedia.duration;
			}
			break;
	}
}

// view toggle 

function toggleView(name,id)
{
	if("true"==theme.loadPreference(id))
	{
	    theme.savePreference(id, "false");
		theme.closeView( name );
	}else{
		theme.openView( name );
	}
}

function closeView(id)
{
	theme.savePreference(id, "false");
	if( id=="vidViewer" )
	{
		player.controls.stop();
		//theme.savePreference("vidCheck", "false");
		theme.savePreference("vidViewer", "false");
	}
	view.close();
}

function autoSizeView(width,height)
{
    var viewSize = theme.loadPreference( width );

    if( "--" != viewSize )
    {
        view.width = viewSize;
    }else{
		view.width = view.minWidth;
	}

    viewSize = theme.loadpreference( height );

    if( "--" != viewSize )
    {
        view.height = viewSize;
    }else{
		view.height = view.minHeight;
	}
}

function saveViewSize(width,height)
{
	theme.savepreference( width , view.width );
    theme.savepreference( height , view.height );
}



// preferences

function loadMainPrefs(){
	theme.savePreference("exitView", "false");
}

function saveMainPrefs() {
	theme.savePreference("exitView", "true");
}

function mainShutDown(){
	saveMainPrefs();
}

// playlist
function loadPlPrefs()
{
	theme.savePreference( 'plViewer', "true" );

	autoSizeView('plWidth','plHeight');

	var index = 0;

	playlist1.setColumnResizeMode( index++, "AutosizeData" );
    playlist1.setColumnResizeMode( index++, "Stretches" );
    playlist1.setColumnResizeMode( index++, "AutosizeHeader" );
    playlist1.setColumnResizeMode( index++, "AutosizeHeader" );
    playlist1.setColumnResizeMode( index++, "AutosizeHeader" );
	playlist1.setColumnResizeMode( index++, "AutosizeHeader" );

	if("true"==theme.loadPreference("eFrame"))
	{
		toggleFrameColor('pl','2');
		plColorCheck = true;
		plResize.image = "f_resize_2.png";
		plSet1.visible = false;
		plSet2.visible = plSet3.visible = true;
	}

}

function savePlPrefs(){
	saveViewSize('plWidth','plHeight');
}

// eq settings
function loadEQPrefs(){
	theme.savePreference( 'eqViewer', "true" );

	setPresetText();

	var speaker = eq.speakerSize;
	eval("speakerText.image='speaker_" + speaker + ".png'");
}

function eqKey(event,level){
	switch(event.keyCode){
		case 38: // up
		case 39:
			eval("eq.gainLevel" + level + "++");
			break;
		case 40: // down
		case 37:
			eval("eq.gainLevel" + level + "--");
			break;
	}
	setPresetText();
}

function sliderKey(event,id,val)
{
	switch(event.keyCode){
		case 39:
		case 38: // up
			eval(id + "+=" + val);
			break;
		case 40: // down
		case 37:
			eval(id + "-=" + val);
			break;
	}
}

function setPresetText()
{
	var preset = eq.currentPreset;
	eval("presetText.image='eq_" + preset + ".png'" );
}

function updateBalToolTip()
{
	balance.toolTip = "";
	balance.toolTip += player.settings.balance;
}

function toggleSkinFx()
{
	if("true"==theme.loadPreference("soundFX"))
	{
		theme.savePreference("soundFX", "false");
	}else{
		theme.savePreference("soundFX", "true");
	}
}

function toggleSpeaker()
{
	if(eq.speakerSize==2)
	{
		eq.speakerSize = -1;
	}
	eq.speakerSize++

	var speaker = eq.speakerSize;
	eval("speakerText.image='speaker_" + speaker + ".png'");
}

// visualizations
function loadVisPrefs()
{
	theme.savePreference( 'visViewer', "true" );
	visEffects.currentEffectType = mediacenter.effectType;
	visEffects.currentPreset = mediacenter.effectPreset;

	autoSizeView('visWidth','visHeight');

	checkVisualsPlayerState();

	if("true"==theme.loadPreference("eFrame"))
	{
		toggleFrameColor('vis','2');
		visColorCheck = true;
		visResize.image = "f_resize_2.png";
		visSet1.visible = false;
		visSet2.visible = visSet3.visible = true;
	}
}

function saveVisPrefs()
{
	mediacenter.effectType = visEffects.currentEffectType;
	mediacenter.effectPreset = visEffects.currentPreset;
	saveViewSize('visWidth','visHeight');
}

function checkVisualsPlayerState()
{
	if (player){
		switch (player.playState){
			case 2:
			case 3: 	//playing
				//visMask.visible = true;
				//displayVisText()
				if(player.currentMedia.ImageSourceWidth>0){
					theme.savePreference('visViewer', "false");
					view.close();
				}
				break;

			}
		}

	if (!player.controls.isAvailable("Stop")) {
		//visMask.visible = false;
	}
}

function displayVisText(){
	visEffectsSub.visible = true;
	//visEffectsText.value = visEffects.currentEffectTitle + ": " + visEffects.currentPresetTitle;
	visView.timerInterval = 6000
}

function hideVisText(){
	visEffectsSub.visible = false;
	visView.timerInterval = 0
}

// video settings

function loadVidPrefs(){
	theme.savePreference( 'vidViewer', "true" );

	var _drawerStatus = theme.loadPreference('drawerStatus');

	if (_drawerStatus != '--') {
		drawerStatus = (_drawerStatus.toLowerCase() == 'true') ? false : true;
	} else {
		drawerStatus = true;
	}

	checkSnapStatus();
	checkVideoPlayerState();
	updateZoomToolTip();
	toggleVidDrawer();

	if("true"==theme.loadPreference("eFrame"))
	{
		toggleFrameColor('vid','2');
		vidColorCheck = true;
		vidResize.image = "f_resize_2.png";
		vidShadow.visible = true;
		vidSet1.visible = vidSet4.visible = false;
		vidSet2.visible = vidSet3.visible = vidSet5.visible = true;
	}
}

function saveVidPrefs(){
	theme.savePreference('drawerStatus',drawerStatus);
}

function loadVidSize(){
    var vidSizer = theme.loadPreference( "videoWidth" );

    if( "--" != vidSizer )
    {
        view.width = vidSizer;
    }
    vidSizer = theme.loadpreference( "videoHeight" );

    if( "--" != vidSizer )
    {
        view.height = vidSizer;
    }
}

function saveVidSize(){
    theme.savepreference( "videoWidth", view.width );
    theme.savepreference( "videoHeight", view.height );
	theme.savePreference("vidSnapper" , "false");
	vidZoom.upToolTip = vidSetTip.toolTip;
	vidZoom2.upToolTip = vidSetTip.toolTip;
	mediacenter.videoZoom = 50;
}

function videoZoom(){
	if("false"==theme.loadPreference("vidSnapper")){
		mediacenter.videoZoom = 50;
	}
	if(mediacenter.videoZoom < 76){
		mediacenter.videoZoom = 100;
	}else if(mediacenter.videoZoom <101){
		mediacenter.videoZoom = 150;
	}else if(mediacenter.videoZoom < 156){
		mediacenter.videoZoom = 200;
	}else{
		mediacenter.videoZoom = 75;
	}
	SnapToVideo();
	updateZoomToolTip();
}

function updateZoomToolTip(){

	vidZoom.upToolTip = vidZoomIn.toolTip + mediacenter.videoZoom + vidZoomMid.toolTip;

	if(mediacenter.videoZoom < 76){
		nextZoom = 100;
	}else if(mediacenter.videoZoom <101){
		nextZoom = 150;
	}else if(mediacenter.videoZoom < 156){
		nextZoom = 200;
	}else{
		nextZoom = 75;
	}

	vidZoom.upToolTip += nextZoom + vidZoomOut.toolTip;
	vidZoom2.upToolTip = vidZoom.upToolTip;
	
	if("false"==theme.loadPreference("vidSnapper")){
		vidZoom.upToolTip = vidSetTip.toolTip;
		vidZoom2.upToolTip = vidSetTip.toolTip;
	}
}

function SnapToVideo(){

	theme.savePreference("vidSnapper" , "true");

	var zoom = mediacenter.videoZoom;
	var viewWidth = (player.currentMedia.imageSourceWidth * (zoom/100.00));
	var viewHeight = (player.currentMedia.imageSourceHeight * (zoom/100.00));

	view.width = viewWidth + 78;
	view.height = viewHeight + 164;
}

function checkSnapStatus(){
	if(player.openState!=13) return;
	if("false"==theme.loadPreference("vidSnapper")){
		loadVidSize();
	}else{
		SnapToVideo();
	}
}

function checkVideoPlayerState(){
	if (player){
		switch (player.playState){
			
			case 3: 	//playing
				if(!player.currentMedia.ImageSourceWidth>0){
					theme.savePreference('vidViewer', "false");
					view.close();
					break;
				}
				vidBack.visible = false;
				videoFrame.visible = true;
				if(!player.fullScreen){
					checkSnapStatus();
				}
				break;
			case 8:
				return;
				break;
			}
			vidResize.enabled = true;
			vidZoom.enabled = vidZoom2.enabled = true;
		}

	if (!player.controls.isAvailable("Stop")) {
		videoFrame.visible = false;
		vidResize.enabled = false;
		vidZoom.enabled = vidZoom2.enabled = false;
		vidBack.visible = true;
		view.width = 389;
		view.height = 355;
	}
}

function toggleVidDrawer(){
	if(!drawerStatus){
		vidDrawer.moveTo(0,view.height-99,500);
		vidDrawerFrame.visible = true;
		vidDrawerButton.down = vidDrawerButton2.down = true;
		drawerStatus = !drawerStatus;
	}else{
		vidDrawer.moveTo(0,view.height-193,500);
		vidDrawerButton.down = vidDrawerButton2.down = false;
		drawerStatus = !drawerStatus;
	}
}

function checkVidDrawer(){
	drawerStatus = drawerStatus;
	vidDrawerFrame.visible = drawerStatus;
}

// info mode
function loadInfoPrefs(){
	theme.savePreference( 'infoViewer', "true" );
	view.width = view.minWidth;
	view.height = view.minHeight;

	if("true"==theme.loadPreference("eFrame"))
	{
		toggleFrameColor('info','2');
		infColorCheck = true;
		infoSet1.visible = false;
		infoSet2.visible = true;
	}
}

// nav menu

var infoGo = 0;

function showInfo(menu,nav,infoGo){
	infoMenuBack.visible = menu;
	infoNavSub.visible = infoNavSub2.visible = nav;
	menuBackButtons.visible = false;
	//menuBack.visible = !menu;
	menuBack.backgroundImage = "c_back.jpg";
	switch(infoGo){
		case 0:
			//infoSub.backgroundImage = "";
		//	menuBack.visible = true;
			menuBackButtons.visible = true;
			infoSub.alphaBlendTo(0,500);
			link1.visible = link2.visible = link3.visible = false;
			break;
		case 1:
			infoMode = 1;	// info
			navGo = 1;
			navLimit = 5;
			infoNavNext();
			break;
		case 2:
			infoMode = 2;	// images
			navGo = 1;
			navLimit = 10;
			infoNavNext();
			break;
		case 3:
			infoMode = 3;	// links
			navGo = 1;
			navLimit = 1;
			//link1.visible = true;
			infoNavNext();
			break;
		case 4:
			infoMode = 4;	// links
			navGo = 1;
			navLimit = 1;
			//link1.visible = true;
			infoNavNext();
			break;
	}
}

navGo = 1;

function infoNavNext(){
	infoSub.alphaBlend = 50;
	infoSub.backgroundImage = "c_sub_" + infoMode + "_" + navGo + ".jpg";
	navCheck();

	link1.visible = false;
	link2.visible = false;
	link3.visible = false;
}

function infoNavPrev(){
	infoSub.alphaBlend = 50;
	infoSub.backgroundImage = "c_sub_" + infoMode + "_" + navGo + ".jpg";
	navCheck();

	link1.visible = false;
	link2.visible = false;
	link3.visible = false;
}

function navCheck(){
	if(navGo==1){
		navPrev.enabled = false;
		navNext.enabled = true;
	}else if(navGo==navLimit && infoMode==infoMode){	// enable / disable sections
		navNext.enabled = false;
		navPrev.enabled = true;
	}else{
		navNext.enabled = true;
		navPrev.enabled = true;
	}

	infoSub.alphaBlendTo(255,500);
}

function endAlphaBlend(){
	if(infoMode==2&&navGo==10&&infoSub.alphaBlend==255)link1.visible = true;
	if(infoMode==3&&navGo==1&&infoSub.alphaBlend==255)link2.visible = true;
	if(infoMode==4&&navGo==1&&infoSub.alphaBlend==255)link3.visible = true;
	if(infoSub.alphaBlend==0)return;
	menuBack.backgroundImage = infoSub.backgroundImage;
	
}

///

function toggleFrames()
{
	if("true"==theme.loadPreference("eFrame"))
	{
		theme.savePreference("eFrame", "false");
	}else{
		theme.savePreference("eFrame", "true");
	}
}

var plFrameStatus = false;

var index = 1;

var frameIn = new Array();
	frameIn[index++] = "f_top_left_";
	frameIn[index++] = "f_left_s_";
	frameIn[index++] = "f_bot_left_";
	frameIn[index++] = "f_bot_s_";
	frameIn[index++] = "f_bot_right_";
	frameIn[index++] = "f_right_s_";
	frameIn[index++] = "f_top_right_";
	frameIn[index++] = "f_top_s_";

function toggleFrameColor(window,color)
{
	for(x=1; x < frameIn.length; x++)
	{
		plResult = window + x + ".backgroundImage='" + frameIn[x] + color + ".png'";
		eval(plResult);
	}
}

var plColorCheck = false;

function checkPLColor()
{
	if("true"==theme.loadPreference("eFrame"))
	{
		if(plColorCheck)
		{
			//plColorCheck = false;
		}else{
			toggleFrameColor('pl','2');
			plColorCheck = true;
			plResize.image = "f_resize_2.png";
			plSet1.visible = false;
			plSet2.visible = plSet3.visible = true;
		}
	}
	else
	{
		if(plColorCheck)
		{
			toggleFrameColor('pl','1');
			plColorCheck = false;
			plResize.image = "f_resize.png";
			plSet1.visible = true;
			plSet2.visible = plSet3.visible = false;
		}else{
			//
		}
	}
}

var visColorCheck = false;

function checkVisColor()
{
	if("true"==theme.loadPreference("eFrame"))
	{
		if(visColorCheck)
		{
			//visColorCheck = false;
		}else{
			toggleFrameColor('vis','2');
			visColorCheck = true;
			visResize.image = "f_resize_2.png";
			visSet1.visible = false;
			visSet2.visible = visSet3.visible = true;
		}
	}
	else
	{
		if(visColorCheck)
		{
			toggleFrameColor('vis','1');
			visColorCheck = false;
			visResize.image = "f_resize.png";
			visSet1.visible = true;
			visSet2.visible = visSet3.visible = false;
		}else{
			//
		}
	}
}

var infColorCheck = false;

function checkInfoColor()
{
	if("true"==theme.loadPreference("eFrame"))
	{
		if(infColorCheck)
		{
			//visColorCheck = false;
		}else{
			toggleFrameColor('info','2');
			infColorCheck = true;
			infoSet1.visible = false;
			infoSet2.visible = true;
		}
	}
	else
	{
		if(infColorCheck)
		{
			toggleFrameColor('info','1');
			infColorCheck = false;
			infoSet1.visible = true;
			infoSet2.visible = false;
		}else{
			//
		}
	}
}

var vidColorCheck = false;

function checkVidColor()
{
	if("true"==theme.loadPreference("eFrame"))
	{
		if(vidColorCheck)
		{
			//visColorCheck = false;
		}else{
			toggleFrameColor('vid','2');
			vidColorCheck = true;
			vidResize.image = "f_resize_2.png";
			vidShadow.visible = true;
			vidSet1.visible = vidSet4.visible = false;
			vidSet2.visible = vidSet3.visible = vidSet5.visible = true;
		}
	}
	else
	{
		if(vidColorCheck)
		{
			toggleFrameColor('vid','1');
			vidColorCheck = false;
			vidResize.image = "f_resize.png";
			vidShadow.visible = false;
			vidSet1.visible = vidSet4.visible = true;
			vidSet2.visible = vidSet3.visible = vidSet5.visible = false;
		}else{
			//
		}
	}
}
